Subject: Re: [bug#74812] [PATCH v2] gnu: Add privacy-redirect-icecat.

From: Hilton Chain <[email-masked]>
Date: Sat, 21 Dec 2024 14:06:36 +0800

Hi Mark,

On Sat, 21 Dec 2024 11:51:01 +0800,
Mark H Weaver wrote:
>
> Hi,
>
> Apologies for the late reply.
>
> Hilton Chain <[email-masked]> writes:
> > * gnu/packages/browser-extensions.scm (privacy-redirect)
> > (privacy-redirect/icecat): New variables.
>
> [...]
>
> > +(define privacy-redirect
> > +  (package
> > +    (name "privacy-redirect")
> > +    (version "1.1.49")
> > +    (source
> > +     (origin
> > +       (method git-fetch)
> > +       (uri (git-reference
> > +             (url "https://github.com/SimonBrazell/privacy-redirect")
>
> If you check the git repository above, I think you'll find that it has
> not been updated in over 3 years, and that most (if not all) of the
> sites that it redirects to no longer work.  Therefore, I see no benefit
> to adding this package in its current form.
>
> There's also an additional problem: GNU IceCat comes bundled with a
> modified and updated version of this extension.  I have concerns about
> how GNU IceCat might be affected if this extremely out-of-date extension
> is installed in the user's profile.

Just tried 'guix shell icecat privacy-redirect-icecat', IceCat uses the bundled
one.

> What do you think?

How about using the source from IceCat for this package?

Thanks